apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: backup-cron
spec:
  failedJobsHistoryLimit: 1
  jobTemplate:
    metadata:
      name: backup-cron
    spec:
      template:
        spec:
          containers:
          - image: gitlab-registry.com/...
            imagePullPolicy: Always
            command: ["python"]
            args: ["backup.py", "-v", "-c", "bucket", "/data/", "backup.tgz"]
            name: backup-cron
            env:
            - name: URL
              valueFrom:
                secretKeyRef:
                  name: s3-credentials
                  key: url
            - name: ACCESSKEY
              valueFrom:
                secretKeyRef:
                  name: s3-credentials
                  key: accessKey
            - name: SECRETKEY
              valueFrom:
                secretKeyRef:
                  name: s3-credentials
                  key: secretKey
            volumeMounts:
            - mountPath: "/data"
              name: volume
              readOnly: true
          restartPolicy: OnFailure
          volumes:
          - name: volume
            persistentVolumeClaim:
              claimName: pvc
  schedule: "@daily"
  successfulJobsHistoryLimit: 1